# Bio-SPARQL-client
# 
# Copyright (C) 2015
#
# author: Natapol Pornputtapong <natapol@chalmers.se>
#
# Documentation: Natapol Pornputtapong (RDoc'd and embellished by William Webber)
#

module RDF
	
	#EMBL prefix
	RDF22 = RDF::Vocabulary.new("http://www.w3.org/1999/02/22-rdf-syntax-ns#")
	DCTERMS = RDF::Vocabulary.new("http://purl.org/dc/terms/")
	BIOPAX3 = RDF::Vocabulary.new("http://www.biopax.org/release/biopax-level3.owl#")
    CCO = RDF::Vocabulary.new("http://rdf.ebi.ac.uk/terms/chembl#")
    VOID = RDF::Vocabulary.new("http://rdfs.org/ns/void#")
	PAV = RDF::Vocabulary.new("http://purl.org/pav/2.0/")
	OBO = RDF::Vocabulary.new("http://purl.obolibrary.org/obo/")
	SIO = RDF::Vocabulary.new("http://semanticscience.org/resource/")
	EFO = RDF::Vocabulary.new("http://www.ebi.ac.uk/efo/")
	ATLAS = RDF::Vocabulary.new("http://rdf.ebi.ac.uk/resource/atlas/")
	ATLASTERMS = RDF::Vocabulary.new("http://rdf.ebi.ac.uk/terms/atlas/")
	SBMLRDF = RDF::Vocabulary.new("http://identifiers.org/biomodels.vocabulary#")
    BQBIO = RDF::Vocabulary.new("http://biomodels.net/biology-qualifiers#")
    BIOMODEL = RDF::Vocabulary.new("http://identifiers.org/biomodels.db/")
    
	#UNIPROT
	FALDO = RDF::Vocabulary.new("http://biohackathon.org/resource/faldo#")
	UP = RDF::Vocabulary.new("http://purl.uniprot.org/core/")
	TAXON = RDF::Vocabulary.new("http://purl.uniprot.org/taxonomy/")
	KEYWORDS = RDF::Vocabulary.new("http://purl.uniprot.org/keywords/")
	UNIPROTKB = RDF::Vocabulary.new("http://purl.uniprot.org/uniprot/")
	EC = RDF::Vocabulary.new("http://purl.uniprot.org/enzyme/")
	BIBO = RDF::Vocabulary.new("http://purl.org/ontology/bibo/")
	
	#BioPortal
	META = RDF::Vocabulary.new("http://bioportal.bioontology.org/metadata/def/")
	
	#KEGG
	#bif	bif:
	#dawgt	http://www.w3.org/2001/sw/DataAccess/tests/test-dawg#
	#dbpedia	http://dbpedia.org/resource/
	#dbpprop	http://dbpedia.org/property/
	#fn	http://www.w3.org/2005/xpath-functions/#
	#go	http://purl.org/obo/owl/GO#
	#math	http://www.w3.org/2000/10/swap/math#
	#mesh	http://purl.org/commons/record/mesh/
	#mf	http://www.w3.org/2001/sw/DataAccess/tests/test-manifest#
	#nci	http://ncicb.nci.nih.gov/xml/owl/EVS/Thesaurus.owl#
	#obo	http://www.geneontology.org/formats/oboInOwl#
	#product	http://www.buy.com/rss/module/productV2/
	#protseq	http://purl.org/science/protein/bysequence/
	#rdfa	http://www.w3.org/ns/rdfa#
	#rdfdf	http://www.openlinksw.com/virtrdf-data-formats#
	#sc	http://purl.org/science/owl/sciencecommons/
	#scovo	http://purl.org/NET/scovo#
	#sd	http://www.w3.org/ns/sparql-service-description#
	#sql	sql:
	#vcard2006	http://www.w3.org/2006/vcard/ns#
	#virtcxml	http://www.openlinksw.com/schemas/virtcxml#
	#virtrdf	http://www.openlinksw.com/schemas/virtrdf#
	#xf	http://www.w3.org/2004/07/xpath-functions
	#xml	http://www.w3.org/XML/1998/namespace
	#xsl10	http://www.w3.org/XSL/Transform/1.0
	#xsl1999	http://www.w3.org/1999/XSL/Transform
	#xslwd	http://www.w3.org/TR/WD-xsl
	#yago	http://dbpedia.org/class/yago/
	
end